Pytest:
  image: python:${PYTHON_VERSION}
  stage: tests
  extends: .install-python-deps
  script:
    - poetry run pytest -v -o junit_family=xunit2 --junitxml tests_report.xml
  artifacts:
    when: always
    reports:
      junit: tests_report.xml
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event" || $CI_COMMIT_BRANCH == "main"'
      changes:
        - releases_watcher/**/*
        - tests/**/*
    - when: never
